### Function

# FwupdPlugin input_stream_find

since: 2.0.18

#### Declaration [src]

    gboolean
    fu_input_stream_find (
      GInputStream* stream,
      const guint8* buf,
      gsize bufsz,
      gsize offset,
      gsize* offset_found,
      GError** error
    )

#### Description [src]

Find a memory buffer within an input stream, without loading the entire stream into a buffer.

Available since: 2.0.18

#### Parameters

`stream`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the function.

`buf`

  Type: `const guint8*`

  Input buffer to look for.

  The data is owned by the caller of the function.

`bufsz`

  Type: `gsize`

  Size of `buf`.

`offset`

  Type: `gsize`

  Starting offset, typically 0x0.

`offset_found`

  Type: `gsize*`

  Found offset.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `buf` was found.